Talk:Mods/Installing mods

From Minecraft Wiki
Jump to: navigation, search
This page is only for discussing the Mods/Installing mods page.

Shouldn't this be in Tutorials?[edit source]

Shouldn't this be under Tutorials or am I missing something here? –ultradude25 (T|C) at 02:34, 12 March 2011 (UTC)

Putting it under tutorials would give modding a sense of legitimacy, something I wanted to avoid. I also thought of maybe putting it in the Mods space, but then, this isn't a mod, it is about mods. --Jonnay 09:11, 12 March 2011 (UTC)
I don't see how putting it in the mainspace make it look any less legit than putting it under tutorials.--Quatroking - MCWiki Administrator 10:41, 12 March 2011 (UTC)
Hence why I glued a link to it into the Mods page under Mod Safety (at bottom). It's not exactly written as a tutorial, IMO, but has more info in it that the main Mods page, so, inserted.-Wulfenbach (not on fire for once) 11:39, 12 March 2011 (UTC)
I'll defer to ultradude or Quatroking here. My preference however is that it shouldn't go into an easily accesable spae like tutorials. Maybe it should go into the /Mod space, and it can be more of a "Everything Mod related" section? Anyway, you guys figure it out, and I'll keep throwing content at it, in its new location. --Jonnay

Mods's dangerousity increased?[edit source]

This pages really increase Mods's real dangerousity. Can be true about username/password stealing, but many mods won't break your world. Just say that you need to backup your worlds one time. Calinou 23:43, 21 March 2011 (UTC)

No. Absolutely not as long as people are taught that mods should only be installed to .minecraft/bin/minecraft.jar. It's only a risk if people install mods to the Minecraft.jar which is the startup wrapper application. I believe "Some mods might claim to do something like add a cute puppy to your world, but could in fact have been authored with a malicious intent such as stealing your Minecraft username/password, or install a keylogger. You have been warned. (a good solution is to only install very popular mods. Risugami created the Modloader and other great, safe, and popular mods; and the new version made modding much more safe. Read comments on mod posts before downloading and installing)" needs to actually be removed because if people are taught how mods work (they shouldn't affect the loader) then this a pointless statement and completely a scare tactic. Why oh why is this section nothing but scare tactics? 67.182.22.160 06:18, 30 December 2011 (UTC)

Very Biased Article[edit source]

This page is extremely biased towards modders. "Before you begin modding your copy of minecraft it is very important to understand what you are doing and what kind of hole you will be digging yourself.", and "Modding Minecraft will break Minecraft, and make your worlds unusable. No one will be able to help you when this happens." are some examples. First off, you are not digging yourself a hole by installing mods. You're digging yourself a hole by not knowing how to install mods. Second, saying "will break Minecraft" is wrong. Mods only break Minecraft if you fail at installing them, replace "will" with "may" and it's reasonably correct. Third, "no one will be able to help you" is wrong. The modding community is glad to help anybody having problems with mods.

In conclusion, not all modders are evil like you all think. Just because Notch says that we're evil and hates us does not mean it's true. Good day. TehKrush 01:34, 23 March 2011 (UTC)

Indeed, I thought this article was about installing mods, not telling people multiple times that it's dangerous to install mods and unsupported before telling them that it's unsupported again. --Yourself 01:44, 23 March 2011 (UTC)
In fact, there is nothing here on how to actually install mods. I see a part on making a backup, but that's it. TehKrush 01:45, 23 March 2011 (UTC)
Actually my bias is not against modding, it is more against people who mod their Minecraft without knowing what they are getting into, and then complain about their special world that they spent hours on is now broken. I was just trying to chase away the lightweights, maybe I went too far. I certainly don't think Modders are evil, if I did, why would I write a page on how to install mods, or work on documenting mods on the wiki in the first place! The only reason why There isn't more on installing mods is that I haven't had time to finish off the page. If you would like to help, please have at it. It is a work in progress. --Jonnay 21:55, 23 March 2011 (UTC)

"losing your copy of Minecraft"[edit source]

It says in the article: "If the prospect of losing your copy of Minecraft or your worlds scares you in any way, modding is not for you." But if the Minecraft.jar ever gets corrupted, can't you just force update or delete the version file? Each user gets unlimited downloads of the game. Tjb0607SigIcon.png 16:02, 1 May 2011 (UTC)

Yeah but if someone steals your account, he would be able to change the password, and you wouldn't have access to SMP and Minecraft updates anymore. Worse, he may also change your skin to something ugly ^^ --Jimeowan 10:00, 11 June 2011 (UTC)

not getting mods[edit source]

I am affraid I will lose minecraft by using mods so I will not get any.

Re-zipping[edit source]

Is it required to re-zip the minecraft.jar folder after installing the mod?

Never mind, if you use 7-zip it doesn't unzip it , it really acts as an x-ray extractor

216.157.201.188 23:57, 7 July 2012 (UTC)Random Zelda Fan

mods down load[edit source]

every thing tells me to delete meta-inf but when i delete it minecraft.jar wont turn on any help

No copy button[edit source]

I was doing fine with the directions until it said to "Copy all CLASS files to this file". When I went to find the copy button... there wasn't one!?!?! So I just supposed adding it to the archives would be the same but, when I did that it said that there are no files too add. It says this even if I highlight only the CLASS files. What do I do?

Mod installation instructions missing for Macintosh[edit source]

I install mods for my 10-year-old son. The following instructions for installing mods on a Mac are missing. I cannot find them anywhere. Did someone accidentally remove them or is there a change to the procedure? Can someone please put the correct instructions for Mac back?

Macintosh:

1) Go to Applications>Utilities and open terminal.


2) Type in the following, line by line:

cd ~

mkdir mctmp

cd mctmp

jar xf ~/Library/Application\ Support/minecraft/bin/minecraft.jar


3) Outside of terminal, copy all the files and folders into the mctmp directory.


4) Back inside terminal, type in the following:

rm META-INF/MOJANG_C.*

jar uf ~/Library/Application\ Support/minecraft/bin/minecraft.jar ./

cd ..

rm -rf mctmp


Thanks for your help.

Cynthia Toryu –Preceding unsigned comment was added by Ctoryu (Talk|Contribs) 16:18, 12 May 2013 (UTC). Please sign your posts with ~~~~

I added your method. Typically, the preferred method of modding the jar is simply to open it, delete META-INF, and drop the mod in, but your method looks a little cleaner but slightly unfriendly to most users, and doesn't require an archiving program to open it. Kanegasi C 16:56, 12 May 2013 (UTC)

Minecraft forge installation tutorial.[edit source]

Would this page be a suitable location to place a video tutorial on minecraft forge installation?

I am aware that this is page is mainly focused on modloader mods but I think a forge tutorial is required since many mods now have been created using the forge API.

Just let me know if you are interested in a minecraft forge section here on this page.

Thanks, AnthonyD98 05:08, 15 May 2013 (UTC)

mods[edit source]

hi my name is elliott and i just got a server from server crate and i need help with installing world edit if someone could help or do it for me please contact me my email is [email protected] thanks bye

Installing mods in version 1.6.1/1.6.2[edit source]

When having installed any kind of mod with Minecraft 1.6.x that requires the META-INF to be deleted, the launcher will automatically detect the jar as invalid and start redownloading it, uninstalling any mod you've been using. This can be prevented by opening the jarfile with any other program (such as 7-Zip) in order to make it uneditable, but I'm quite sure there is a much more convenient way of getting this done. If anyone knows one, it would really be nice of him/her to add it to this article.
--87.174.224.8 07:41, 15 July 2013 (UTC)noch.ein.anderer

I'm working on it in my userspace right now. t numbermaniac c 08:20, 15 July 2013 (UTC)


 Done. Mods/Installing mods#Installation for the new launcher. t numbermaniac c 08:30, 15 July 2013 (UTC)

Just beat the system[edit source]

I was able to get my mod to work by:

  1. Going into .minecraft/versions/1.7.4
  2. Opening 1.7.4 in 7zip
  3. Pasting mod files and deleting meta-inf
  4. VERY IMPORTANT NEXT FEW STEPS: right click the 1.7.4 file and click properties
  5. go to the security tab
  6. Click edit then click your username
  7. put a check next to deny under write
  8. ok out of the two dialog boxes and click yes on anything else
  9. launch the game

This prevents it from overwriting your modded jar file. You do not want to write-protect the entire folder, just the jar file as it threw a permission error when I did. You would use chmod in a UNIX environment. Replace 1.7.4 with the current version.

  • Sadly it doesn't work anymore. When I try to prevent launcher from replacing the .jar file, it simply throws error instead of running Minecraft anyway. Edit .json can cause the manually-modded version vanish from the version list. We need to flag the current method as obsolete and find a new way of manual installation. Wbxshiori (talk) 08:21, 4 March 2016 (UTC)

Old vs. New launcher[edit source]

What are the "old" and "new" launchers. There have been lots of launchers for minecraft, we need to define old as pre version something and new and version something and later.

need help with mods[edit source]

for a while I have been trying to download the mod mine and blade commander.

I downloaded forge 1.7.2 but the mod was only 1.4.7. i tried to find forge 1.4.7 but i couldn't find it so i downloaded the mod anyway and followed a tutorial too. i did every step right but once it downloaded on the home screen it said that the game crashed because the installation failed. what do i do??????? –Preceding unsigned comment was added by Barretttemplar98 (talkcontribs) 21:56, 20 May 2014 (UTC). Please sign your posts with ~~~~

You can't use a mod with a version of Minecraft it wasn't designed for. Mods also won't work if you don't install any dependencies they have. Forge for 1.4.7 is here, really not that hard to find. -- Orthotopetalk 23:37, 20 May 2014 (UTC)